Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin
Interface KBRequest<R extends KBResponse>

All Superinterfaces:
  Request<R>

All Known Implementing Classes:
  AbstractGetDisjointProperties, AbstractKBRequest, AbstractKBRequestWithIndividualProperty, AbstractKBRequestWithOneObject, AbstractKBRequestWithOneObjectAndBooleanValue, AbstractKBRequestWithOneObjectAndNegativeAttribute, AbstractKBRequestWithTwoObjects, AbstractKBRequestWithTwoOrMoreObjects, Classify, GetAllAnnotationProperties, GetAllClasses, GetAllDataProperties, GetAllDatatypes, GetAllIndividuals, GetAllObjectProperties, GetDataPropertiesBetween, GetDataPropertiesOfLiteral, GetDataPropertiesOfSource, GetDataPropertySources, GetDataPropertyTargets, GetDifferentIndividuals, GetDisjointClasses, GetDisjointDataProperties, GetDisjointObjectProperties, GetEquivalentClasses, GetEquivalentDataProperties, GetEquivalentObjectProperties, GetFlattenedDataPropertySources, GetFlattenedDifferentIndividuals, GetFlattenedInstances, GetFlattenedObjectPropertySources, GetFlattenedObjectPropertyTargets, GetFlattenedTypes, GetInstances, GetKBLanguage, GetObjectPropertiesBetween, GetObjectPropertiesOfSource, GetObjectPropertiesOfTarget, GetObjectPropertySources, GetObjectPropertyTargets, GetPrefixes, GetSameIndividuals, GetSettings, GetSubClasses, GetSubClassHierarchy, GetSubDataProperties, GetSubDataPropertyHierarchy, GetSubObjectProperties, GetSubObjectPropertyHierarchy, GetSuperClasses, GetSuperDataProperties, GetSuperObjectProperties, GetTypes, IsClassSatisfiable, IsDataPropertySatisfiable, IsEntailed, IsEntailedDirect, IsKBConsistentlyDeclared, IsKBSatisfiable, IsObjectPropertySatisfiable, LoadOntologies, OWLlinkXMLRenderer.KBGetPrefixes, Realize, ReleaseKB, Set, Tell

    public interface KBRequest<R extends KBResponse>

extends Request<R>

Author:
  Olaf Noppens

Method Summary
`IRI` | `getKB()`

Methods inherited from interface org.semanticweb.owlapi.owllink.builtin.Request
`accept`

Method Detail

### getKB

    IRI getKB()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD